/*
 * RobotDefn.h
 *
 *  Created on: Jan 12, 2017
 *      Author: Tumtu
 */

#ifndef SRC_ROBOTDEFN_H_
#define SRC_ROBOTDEFN_H_

namespace Team302 {

    // These are all of the robots that can be deployed to
    const int MECANUM_TILEBOT = 1;
    const int REGULAR_TILEBOT = 2;


// Uncomment the line below to select the robot that the software is being deployed to
// Then the ROBOT_CONFIGURATION will be set correctly (so the factories create the correct
// targets

#define RUN_MECANUM_TILEBOT
//#define RUN_REGULAR_TILEBOT


#ifdef RUN_MECANUM_TILEBOT
    const int ROBOT_CONFIGURATION           = MECANUM_TILEBOT;
#else
    #ifdef RUN_REGULAR_TILEBOT
        const int ROBOT_CONFIGURATION       = REGULAR_TILEBOT;
    #endif
#endif

} /* namespace Team302 */

#endif /* SRC_ROBOTDEFN_H_ */
