/*
 * ManipulatorDefn.h
 *
 *  Created on: Aug 18, 2017
 *      Author: witcpale
 */

#ifndef SRC_DEFINITIONS_MANIPULATORDEFN_H_
#define SRC_DEFINITIONS_MANIPULATORDEFN_H_

namespace Team302
{

	class ManipulatorDefn
	{
		public:
			enum manipulatorType
			{
				UNKNOWN_MANIPULATOR,
				FUEL_HANDLER,
				GEAR_HANDLER,
				CLIMBER,
				MAX_MANIPULATOR_TYPES
			};

			ManipulatorDefn() = delete;
			ManipulatorDefn
			(
				manipulatorType type
			);
			virtual ~ManipulatorDefn() = default;

			inline manipulatorType GetManipulatorType() { return m_type; }

		private:
			manipulatorType 	m_type;
	};

} /* namespace Team302 */

#endif /* SRC_DEFINITIONS_MANIPULATORDEFN_H_ */
