/*
 * SolenoidDefn.h
 *
 *  Created on: Aug 18, 2017
 *      Author: witcpale
 */

#ifndef SRC_DEFINITIONS_SOLENOIDDEFN_H_
#define SRC_DEFINITIONS_SOLENOIDDEFN_H_

#include <string>


namespace Team302
{

	class SolenoidDefn
	{
		public:
			SolenoidDefn() = delete;
			SolenoidDefn
			(
				std::string		identifier, 		// <I> - name the describes the solenoid
				int	 			pcmID				// <I> - channel on the PCM that the solenoid is plugged into
			);
			virtual ~SolenoidDefn() = default;

			inline std::string GetIdentifier() { return m_identifier; }
			inline int GetPCMID() { return m_pcmID; }

		private:
			std::string		m_identifier;
			int 			m_pcmID;
	};

} /* namespace Team302 */

#endif /* SRC_DEFINITIONS_SOLENOIDDEFN_H_ */
