/*
 * IDrive.h
 *
 *  Created on: Jan 14, 2017
 *      Author: Tumtu
 */

#ifndef SRC_TELEOPDRIVE_IDRIVE_H_
#define SRC_TELEOPDRIVE_IDRIVE_H_

namespace Team302
{
	class IDrive
	{
		public:

			//--------------------------------------------------------------------------------
			// Method:			DriveWithJoysticks
			// Description: 	Reads the DragonXBox stick values and sends the appropriate
			//					values to the drive wheels
			// Returns: 		void
			//--------------------------------------------------------------------------------
			virtual void DriveWithJoysticks() const = 0;

			//--------------------------------------------------------------------------------
			// Method:			IDrive
			// Description: 	Default Constructor
			// Returns: 		void
			//--------------------------------------------------------------------------------
			IDrive() = default;

			//--------------------------------------------------------------------------------
			// Method:			~IDrive
			// Description: 	Default Destructor
			// Returns: 		void
			//--------------------------------------------------------------------------------
			virtual ~IDrive() = default;
	};

} /* namespace Team302 */

#endif /* SRC_TELEOPDRIVE_IDRIVE_H_ */
