/*
 * TankDrive.h
 *
 *  Created on: Jan 14, 2017
 *      Author: Tumtu
 */

#ifndef SRC_TANKDRIVE_H_
#define SRC_TANKDRIVE_H_

#include <teleopDrive/TeleDriveBase.h>

namespace Team302
{
	class TankDrive : public TeleDriveBase
	{
		public:
			//--------------------------------------------------------------------------------
			// Method:			TankDrive
			// Description: 	Default Constructor
			// Returns: 		void
			//--------------------------------------------------------------------------------
			TankDrive();

			//--------------------------------------------------------------------------------
			// Method:			~TankDrive
			// Description: 	Default Destructor
			// Returns: 		void
			//--------------------------------------------------------------------------------
			virtual ~TankDrive() = default;

			//--------------------------------------------------------------------------------
			// Method:			DriveWithJoysticks
			// Description: 	Reads the DragonXBox stick values and sends the appropriate
			//					values to the drive wheels
			// Returns: 		void
			//--------------------------------------------------------------------------------
			void DriveWithJoysticks() const override;

		private:
	};

} /* namespace Team302 */

#endif /* SRC_TANKDRIVE_H_ */
